Page MenuHomePhabricator

GSoC project T129611 DrTrigon's ToDo
Closed, ResolvedPublic

Event Timeline

DrTrigon created this task.May 1 2016, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2016, 5:23 PM
DrTrigon added a comment.EditedMay 1 2016, 5:34 PM
  • google calendar... email invite !
This comment was removed by DrTrigon.
This comment was removed by DrTrigon.
This comment was removed by DrTrigon.
DrTrigon updated the task description. (Show Details)May 2 2016, 5:38 AM
This comment was removed by DrTrigon.
This comment was removed by DrTrigon.
DrTrigon added a comment.EditedMay 6 2016, 11:29 AM

T129611: [GSoC 2016 Proposal] Port catimages.py to pywikibot-core, notes:

  • about replacing packages code with others; one main concer was to have an infrastructure that allows to use the newest experimental packages as well (e.g. the C code make and compile functionallity) that is available some specific interface (e.g. C) only - we should still support this in an python module that allows to do that for any chosen code
  • the same holds for the package install and patch apply functionallity
  • move meeting to fri
This comment was removed by DrTrigon.
This comment was removed by DrTrigon.
DrTrigon added a comment.EditedMay 9 2016, 11:12 AM
  • read letter/mail:

Hi DrTrigon,

Some people didn't receive the initial email sent about 15 hours ago so we are resending this to all OAs and Mentors, apologies for the duplicate emails.

Thank you all for being Mentors and OAs for GSoC 2016! We value your commitment to GSoC and your enthusiasm for helping students learn more about open source. All of you are the reason this program has continued to grow and evolve since 2005. Thank you.

We rely on you to help enforce the rules and to keep your students on course over the next 4 months. We want to help you build long term contributors to your projects and have made some changes/clarifications to the community bonding period that should help everyone be more clear on what is expected of them.

This is a very long email but contains very important information, please read it carefully.

Community Bonding Period

As part of the student’s acceptance into GSoC they are expected to actively participate in the Community Bonding period (April 22 - May 22). The Community Bonding period is intended to get students ready to start contributing to your organization full time in May.

Unfortunately, some students think their acceptance into GSoC guarantees them the initial $500 payment. That is not the case. A student does not receive $500 just for writing a good proposal. They must be active in the Community Bonding period to earn that $500.

Community Bonding activities may involve:

  • Becoming familiar with the community practices and processes. (This often involves a mix of observation and participation.)
  • Participating on Mailing Lists / IRC / etc. (Not just lurking.)
  • Setting up their development environment.
  • Small (or large) patches/bug fixes. (These do not need to be directly related to their GSoC project.)
  • Participating in code reviews for others. (Even someone who isn't familiar with the project can contribute by pointing out potential inefficiencies, bad error handling, etc.)
  • Working with their mentor and other org members on refining their project plan. This might include finalizing deadlines and milestones, adding more detail, figuring out potential issues, etc.
  • If the student is already familiar with the organization, they could be helping others get involved in the community.
  • Reading (and updating!) documentation they will need to understand to complete their project.
  • Reporting or replicating bugs.

Active means active. Students have committed to the program schedule, and we would like you to hold them to it. There is no simple standard, as every org is different, every student has different time constraints, and there are many different ways to interact. Some students may require coaxing and encouragement in order to get them to actively participate.

If you do not see regular public interaction from the student, you should strongly encourage it. Public interaction is important -- it is a key principle of open source -- work happens where everyone can see it. Similarly, all work done by the students should be shared in a publicly available repository.

By May 16th if the student has not been active in Community Bonding please notify Google at gsoc-support@google.com to let us know. After a brief investigation, we may remove the student from the program. They will not receive any payments.

Do not feel bad about "failing" a student.
The past eleven years of GSoC have demonstrated that students who don't interact early and often are more likely to fail later. Often they just disappear. We don't want you to waste your time on students who don't care about the project/organization and don’t even attempt to show interest these first few weeks of the program. Small contributions early on are often a very positive signal.

Organizations will not be penalized for failing students who are not fulfilling their responsibilities during the Community Bonding period. We expect there to be students who fail this Community Bonding period, just like we expect there to be some students who fail the midterm and others that fail the final. This is completely normal.

If you have questions as to whether a student has met the guidelines, don't hesitate to ask. Email gsoc-support@google.com with a summary of the student's activities during the Community Bonding period, and we will review it.

Best,
Stephanie, Cat, Mary, Robert, Helen and Josh

http://www.sitepoint.com/google-summer-code-10-minutes-crash-course/

DrTrigon added a comment.EditedMay 13 2016, 2:09 PM
  • dig up my latest (most recent) catimages.py etc. code:
DrTrigon added a comment.EditedMay 20 2016, 12:53 PM
  • figure out what's wrong with skype: the connection issue seams not to be on my side
  • test mumble/plumble (fdroid)
DrTrigon added a comment.EditedMay 21 2016, 10:02 PM
  • check and extend if necessary:

https://etherpad.wikimedia.org/p/Zl7V7KuK7J

This comment was removed by DrTrigon.
This comment was removed by DrTrigon.
DrTrigon added a comment.EditedMay 27 2016, 1:44 PM

Finish by the end of this week:

Prepare:

DrTrigon added a comment.EditedJun 3 2016, 12:14 PM
This comment was removed by DrTrigon.
DrTrigon updated the task description. (Show Details)Jun 5 2016, 6:40 PM
DrTrigon added a comment.EditedJun 17 2016, 8:51 PM
DrTrigon added a comment.EditedJun 17 2016, 10:58 PM
  • decide last 50% of the gsoc - project plan !!! irc - T129611: [GSoC 2016 Proposal] Port catimages.py to pywikibot-core
    • what from the original proposal do we need (must have) and is essential?
    • what from the original bot is still missing?
    • rest: free!
  • do beta-test (in vm - on labs?) - T136985: file-metadata testing log
  • think about training for specific database uploads
    • do not train a haarcascade form a set specific to a upload to be done
    • but create a set of e.g. persons that are likely to appear and use image comparing algorithms instead of feature detection (haarcascade, etc.)
    • what was this algorithm for the video copyright project called again?
  • think about training in general
    • Z441#5657: SVM for line drawing / graphics detection?
  • do facial landmarks give more info than just the face position? e.g. "landmarks"? yes
  • Z441#5705
DrTrigon updated the task description. (Show Details)Jun 26 2016, 8:05 PM
DrTrigon updated the task description. (Show Details)Jun 26 2016, 8:30 PM
DrTrigon updated the task description. (Show Details)Jun 26 2016, 9:26 PM
DrTrigon moved this task from Backlog to DrTrigon's Notes on the User-DrTrigon board.
DrTrigon added a comment.EditedJul 1 2016, 5:45 PM

Test:

  • video2copyright project meeting
    • 80
    • splitted videos
    • python wrapper vs .net ones
    • pydotnet or else ironpython idea still alive
DrTrigon added a comment.EditedJul 8 2016, 2:34 PM
  • afraid but do not have time today for "video2copyright project meeting" - could we find another date? else I try to make it

-> problem - doch heute

  • next want to check scripts

(run it on eth-bib set!!)
(check and write code - fork and update README.rst in file-metadata)
(change usage syntax in simple_bot.py docu string)
(check my todos!)

osboxes@osboxes:~/core$ python bulk.py -search:'eth-bib' -logname:ETH-Bib -> move this and output to testing log

pywikibot search page generator should output number of matches before starting

bot script and/or bulk.py:

  • does the bot script and/or bulk.py write local logs e.g. conatining errors, warnings, etc. occured?
    • use pywikibot logging for the bot script
    • use tee for bulk.py
  • retry downloading if errors occur (or check filesize)

$ python -u bulk.py -search:'eth-bib' -logname:ETH-Bib 2>&1 | tee bulk.log

osboxes@osboxes:~/core$ ps -aux | grep "python"
root 1960 0.0 0.2 76308 4580 ? S 14:11 0:00 /usr/bin/python /usr/share/apt-xapian-index/update-apt-xapian-index-dbus
osboxes 21607 34.5 8.8 1045072 182028 pts/9 Sl+ 15:45 44:13 python bulk.py -search:eth-bib -logname:ETH-Bib
osboxes 23479 0.0 0.1 11756 2188 pts/0 S+ 17:53 0:00 grep --color=auto python
osboxes@osboxes:~/core$ kill -STOP 21607
osboxes@osboxes:~/core$ kill -CONT 21607

DrTrigon added a comment.EditedJul 17 2016, 7:10 PM
  • need categories stats - discriminate the file type cats from others
  • graphics detection into other direction, lot of shades, gradients/contours, etc. -> Category:Photographs_by_camera
  • enable conda opencv install on labs and re-run eth-bib job
  • adopt catimages-gsoc docker according to how the test is run on labs and renamed scripts
  • Questions for @AbdealiJK:
    • unittest: why and when are they skipped? what about skipping the ones for opencv?
    • implement haarcascade in skilearn; what about implementing T141633 (the wavelet paper) too?
    • do we have any kind of segmentation implemented in file-metadata?
    • what about writing a qt client for file-metadata? can that be combined with the web-client @AbdealiJK plans to write?
DrTrigon added a comment.EditedAug 7 2016, 8:03 PM

From https://github.com/pywikibot-catfiles/file-metadata/blob/master/.travis.yml#L27:

drtrigon@tools-bastion-03:~$ wget https://repo.continuum.io/miniconda/Miniconda2-latest-Linux-x86_64.sh -O miniconda.sh
drtrigon@tools-bastion-03:~$ bash miniconda.sh -f -b -p $HOME/miniconda
...
$ conda list
...

see also http://conda.pydata.org/docs/using/pkgs.html

Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptMar 23 2019, 10:15 PM
Framawiki closed this task as Resolved.May 4 2019, 12:07 PM
Framawiki added a subscriber: Framawiki.

It looks like this task was about GSoC 2016, hence closing.